module.exports = {
	extends: ["stylelint-config-standard"],
	plugins: ["stylelint-plugin-defensive-css", "stylelint-plugin-logical-css"],
	rules: {
		"custom-property-empty-line-before": null,
		"color-hex-length": "long",
		"plugin/use-defensive-css": [true, {
			"accidental-hover": false,
			"background-repeat": true,
			"custom-property-fallbacks": false,
			"flex-wrapping": false,
			"scroll-chaining": false,
			"vendor-prefix-grouping": true
		}],
		"plugin/use-logical-properties-and-values": [true, {
			"severity": "warning",
			"disable-auto-fix": true,
			"ignore": ["overflow-y", "overflow-x"]
		}],
		"plugin/use-logical-units": [true, {
			"severity": "warning",
			"disable-auto-fix": true,
			"ignore": ["dvh", "dvw"]
		}]
	}
};
